<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PHP Conditional Statements</title>
</head>
<body>
    <!-- Main heading for page -->
    <h1>PHP Conditional Statements Examples</h1>
    <h2>Example:</h2>
    
    <?php 
        // Get the current day of the week using the built-in date() function
        $d = date("l"); 

        // if...else condition to check if today is Sunday
        if ($d == "Sunday") {
            // If today is Sunday, it is the due date of my 440 assignments.
            echo "Today is the due date of my 440 assignment! ";
        } else {
            // If it's not Sunday, show the current day and remind me to finish my assignment.
            echo "Today is $d. Still have a few days to finish my 440 assignment!";
        }

        // if…elseif…else condition to check the score and assign a grade
        $score = 85;
        if ($score >= 90) {
            // If score is greater than or equal to 90, grade is A
            echo "<p>Grade: A</p>";
        } elseif ($score >= 80) {
            // If score is greater than or equal to 80 but less than 90, grade is B
            echo "<p>Grade: B</p>";
        } else {
            // If score is less than 80, grade is C
            echo "<p>Grade: C</p>";
        }

        // PHP switch/case to check the day and give a message based on the day
        $day = "Monday";
        switch ($day) {
            case "Monday":
                // If the day is Monday, print the start of the week message
                echo "<p>Today is Monday, the start of the week!</p>";
                break;
            case "Friday":
                // If the day is Friday, print the end of the week message
                echo "<p>Today is Friday, the end of the workweek!</p>";
                break;
            default:
                // For any other day, print a generic message
                echo "<p>It's a regular day.</p>";
        }
    ?>
    
    <p>In PHP, conditional statements allow you to execute different blocks of code based on certain conditions. The if statement executes some code if a condition is true and another code if that condition is false. The if ... elseif ... statement executes different codes for more than two conditions. Switch/Case is best used to replace a long if-elseif-else. The top example is my if...else condition. The middle example is my if…elseif…else condition. The bottom example is my PHP switch/case.</p>

</body>
</html>